var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import * as React from 'react';
import { unmock } from "./mocks";
var Remocking = (function (_super) {
    __extends(Remocking, _super);
    function Remocking() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Remocking.prototype.componentWillUnmount = function () {
        unmock(this.props.component);
    };
    Remocking.prototype.render = function () {
        return this.props.children
            ? React.Children.only(this.props.children)
            : null;
    };
    return Remocking;
}(React.Component));
export { Remocking };
