import { resolver } from '../resolver';
var preact = require('preact');
function patchReact(preact) {
    var oldHandler = preact.options.vnode;
    preact.options.vnode = function (vnode) {
        var type = vnode.nodeName, props = vnode.attributes, args = vnode.children;
        var _a = resolver(type, props, args), _b = _a.type, newType = _b === void 0 ? type : _b, _c = _a.props, newProps = _c === void 0 ? props : _c, _d = _a.children, children = _d === void 0 ? args : _d;
        var node = {
            nodeName: newType,
            arguments: newProps,
            children: newProps && newProps.children || children,
        };
        return oldHandler
            ? oldHandler(node)
            : node;
    };
}
patchReact(preact);
