import { getMocks, mock } from "./mocks";
import { Remocking } from './Components';
var resolver = function (type, props, children) {
    if (type === Remocking) {
        mock(props.component);
    }
    var mocks = getMocks().filter(function (match) { return match.test(type, props || {}, children); });
    if (mocks.length) {
        return mocks[mocks.length - 1].replace(type, props, children);
    }
    return { type: type, props: props, children: children };
};
export { resolver };
