"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var resolver_1 = require("../resolver");
var SIGN = 'isPatchedByReactRewiremock';
exports.createElement = React.createElement;
exports.cloneElement = React.cloneElement;
function patchReact(React) {
    if (React) {
        if (!React.createElement[SIGN]) {
            Object.defineProperty(React.createElement, SIGN, {
                configurable: false,
                writable: false,
                enumerable: false,
                value: true,
            });
            React.createElement =
                function (type, props) {
                    if (props === void 0) { props = {}; }
                    var args = [];
                    for (var _i = 2; _i < arguments.length; _i++) {
                        args[_i - 2] = arguments[_i];
                    }
                    var anyProps = props || {};
                    var _a = resolver_1.resolver(type, props, args), _b = _a.type, newType = _b === void 0 ? type : _b, _c = _a.props, newProps = _c === void 0 ? props : _c, _d = _a.children, children = _d === void 0 ? args : _d;
                    var key = anyProps.key;
                    var ref = anyProps.ref;
                    var finalProps = __assign({ key: key,
                        ref: ref }, newProps);
                    return finalProps && (finalProps.children !== anyProps.children)
                        ? exports.createElement(newType, finalProps)
                        : exports.createElement.apply(void 0, [newType, finalProps].concat(children));
                };
            React.cloneElement =
                function (type, props) {
                    var args = [];
                    for (var _i = 2; _i < arguments.length; _i++) {
                        args[_i - 2] = arguments[_i];
                    }
                    var newElement = exports.cloneElement.apply(void 0, [type, props].concat(args));
                    var key = newElement.key;
                    var ref = newElement.ref;
                    var _a = newElement.props || {}, _b = _a.children, children = _b === void 0 ? [] : _b, rest = __rest(_a, ["children"]);
                    return React.createElement.apply(React, [newElement.type, __assign({ key: key,
                            ref: ref }, rest)].concat(children));
                };
            React.createFactory = function (type) {
                var factory = React.createElement.bind(null, type);
                factory.type = type;
                return factory;
            };
        }
    }
}
patchReact(React);
