"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var resolver_1 = require("../resolver");
var SIGN = 'isPatchedByReactRewiremock';
function patchReact(React) {
    if (React) {
        if (!React.createElement[SIGN]) {
            Object.defineProperty(React.createElement, SIGN, {
                configurable: false,
                writable: false,
                enumerable: false,
                value: true,
            });
            var originalCreateElement_1 = React.createElement;
            var originalCloneElement_1 = React.cloneElement;
            React.createElement =
                function (type, props) {
                    var args = [];
                    for (var _i = 2; _i < arguments.length; _i++) {
                        args[_i - 2] = arguments[_i];
                    }
                    var _a = resolver_1.resolver(type, props, args), _b = _a.type, newType = _b === void 0 ? type : _b, _c = _a.props, newProps = _c === void 0 ? props : _c, _d = _a.children, children = _d === void 0 ? args : _d;
                    return newProps && newProps.children
                        ? originalCreateElement_1(newType, newProps)
                        : originalCreateElement_1.apply(void 0, [newType, newProps].concat(children));
                };
            React.cloneElement =
                function (type, props) {
                    var args = [];
                    for (var _i = 2; _i < arguments.length; _i++) {
                        args[_i - 2] = arguments[_i];
                    }
                    var _a = resolver_1.resolver(type, props, args), _b = _a.type, newType = _b === void 0 ? type : _b, _c = _a.props, newProps = _c === void 0 ? props : _c, _d = _a.children, children = _d === void 0 ? args : _d;
                    return newProps && newProps.children
                        ? originalCloneElement_1(newType, newProps)
                        : originalCloneElement_1.apply(void 0, [newType, newProps].concat(children));
                };
            React.createFactory = function (type) {
                var factory = React.createElement.bind(null, type);
                factory.type = type;
                return factory;
            };
        }
    }
}
patchReact(React);
